---
- name: Install tspreed
  hosts: october
  become: true

  tasks:
    - name: Ensure local src dir exists
      ansible.builtin.file:
        path: /usr/local/src/
        state: directory
        mode: '0755'
    - name: Install make
      ansible.builtin.package:
        name: make
        state: present
    - name: Clone tspreed
      ansible.builtin.git:
        repo: https://github.com/n-ivkovic/tspreed.git
        dest: /usr/local/src/tspreed
        update: yes
    - name: Install tspreed
      community.general.make:
        chdir: /usr/local/src/tspreed
        target: install
